# KunpoLib
基于 Cocos Creator 的一套游戏框架，提供了一系列实用模块，帮助开发者快速构建高质量的游戏项目。
项目持续优化中，敬请期待~~~


#### 版本支持
- creator 3.7之前的版本理论上也支持，未测试
- creator 3.7+ 支持
- creator 3.8+ 支持

>  此项目是框架源码，不是creator项目
>
> demo见最下方仓库地址

## 安装kunpocc

项目已发布到 `npm`, 安装方法如下：

```bash
npm install kunpocc
```

> 如果连不上npm, 可使用国内镜像 比如: 淘宝、腾讯、华为

```bash
# 官方
npm set registry https://registry.npmjs.org
# 中国镜像站（用这个就行）
npm set registry https://registry.npmmirror.com/
#腾讯
npm set registry https://mirrors.cloud.tencent.com/npm/
# 华为
npm set registry https://repo.huaweicloud.com/repository/npm/
# 阿里
npm set registry https://npm.aliyun.com
```

# 目录
1. [使用教程 (新手必看)](./docs/Noviciate.md)
2. [项目配置](./docs/Basic.md)
3. [UI模块](./docs/UI.md)
5.  [全局计时器](./docs/Timer.md)
6.  [平台工具](./docs/Platform.md)
7.  [屏幕尺寸](./docs/Screen.md)
8.  [小工具](./docs/Tools.md)
9.  [时间](./docs/Time.md)
10. [小游戏接口封装](./docs/MiniGame.md)
11. [热更新](./docs/HotUpdate.md)
12. [条件显示节点 (一般用于UI上的红点)](./docs/Condition.md)
13. [ec模块](https://github.com/Gongxh0901/kunpo-ec)
14. [ecs模块](https://github.com/Gongxh0901/kunpo-esc)
15. [网络模块 http和socket](https://github.com/Gongxh0901/kunpocc-net)
16. [四叉树](https://github.com/Gongxh0901/kunpo-quadtree)
17. [行为树](https://github.com/Gongxh0901/kunpocc-behaviortree)
18. [资源管理](https://github.com/Gongxh0901/kunpocc-assets)
19. [全局事件](https://github.com/Gongxh0901/kunpocc-event)
## 类型支持

该库完全使用 TypeScript 编写，提供完整的类型定义文件。

## 许可证

ISC License

## 作者

gongxh

## 联系作者

*  邮箱: gong.xinhai@163.com

## 仓库
[kunpocc gitee地址](https://gitee.com/gongxinhai/kunpolibrary)

[kunpocc github地址](https://github.com/Gongxh0901/kunpolibrary)

[github demo地址](https://github.com/Gongxh0901/KunpoDemo)

[gitee demo地址](https://gitee.com/gongxinhai/kunpo-demo)
